Bug 86472 - Borders overlay widget barely readable with dark themes
Summary: Borders overlay widget barely readable with dark themes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.4.1 release
Hardware: All All
: medium enhancement
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:4.4.0.0.beta2 target:4.3.6 tar...
Keywords:
Depends on:
Blocks: UI-Theming
  Show dependency treegraph
 
Reported: 2014-11-19 19:59 UTC by Heiko Tietze
Modified: 2017-05-03 09:32 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Border settings on dark theme (10.99 KB, image/png)
2014-11-19 19:59 UTC, Heiko Tietze
Details
Dialog format cell (37.12 KB, image/png)
2014-11-19 20:09 UTC, Heiko Tietze
Details
Cell border widget from 4.5 alpha, 2014-Dec-01 (6.82 KB, image/png)
2014-12-02 20:48 UTC, Heiko Tietze
Details
cell boder from 4.5 on dark theme (7.44 KB, image/png)
2014-12-02 23:30 UTC, Yousuf Philips (jay) (retired)
Details
Cell border widget with Tango icon set (6.52 KB, image/png)
2014-12-02 23:50 UTC, Heiko Tietze
Details
Border in Writer, 5.3alpha (2.34 KB, image/png)
2016-09-24 07:16 UTC, Heiko Tietze
Details
Border in Calc, 5.3alpha (2.36 KB, image/png)
2016-09-24 07:17 UTC, Heiko Tietze
Details
Border settings at the image properties dialog, 5.3alpha (4.33 KB, image/png)
2016-09-24 07:56 UTC, Heiko Tietze
Details
Calc grid border icon construction set (8.25 KB, image/x-xcf)
2016-09-29 17:29 UTC, Jan-Marek Glogowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2014-11-19 19:59:28 UTC
Created attachment 109740 [details]
Border settings on dark theme

Using the dark theme Wonton Soup under Linux/KDE the quick access to borders is barely readable since lines are black on dark background. See attached image.
Comment 1 Heiko Tietze 2014-11-19 20:09:36 UTC
Created attachment 109741 [details]
Dialog format cell
Comment 2 Joel Madero 2014-11-20 15:31:13 UTC
I'm not sure that I'd say "barely readable" but it could be better (i.e. it could change to white when there is a dark theme).

This is an enhancement request, marking as such.
Comment 3 Heiko Tietze 2014-11-20 16:18:36 UTC
We talked about dark themes in the design group and Jan suggested to adjust the icon color algorithmic (in particular Sifr). I'd say such a routine would be helpful here as well.
Comment 4 Yousuf Philips (jay) (retired) 2014-11-26 22:14:45 UTC
Patch submitted for 4.3, 4.4 and master - https://gerrit.libreoffice.org/#/c/13140/
Comment 5 Commit Notification 2014-11-28 03:36:48 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d3fa6eae3efe1a0bdbeea597fce7df0db30e633e

fdo#86472 added white backgrounds to images so they appear fine in dark themes

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-11-28 03:39:02 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=718d6b046ef2f0b4903d33e1ab0df096495c06e8&h=libreoffice-4-4

fdo#86472 added white backgrounds to images so they appear fine in dark themes

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-11-28 09:16:37 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d51a8eec2047300d8ef34d7c3d9bc502f12c9340&h=libreoffice-4-3

fdo#86472 added white backgrounds to images so they appear fine in dark themes

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Heiko Tietze 2014-12-02 20:47:34 UTC
Only one button is okay now in 4.5 alpha, see new attachment.

Version: 4.5.0.0.alpha0+
Build ID: 759ae3c367f63ee006cfa8f4239ddcc1302b5879
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-12-01_22:58:23
Comment 9 Heiko Tietze 2014-12-02 20:48:39 UTC
Created attachment 110375 [details]
Cell border widget from 4.5 alpha, 2014-Dec-01
Comment 10 Heiko Tietze 2014-12-02 21:59:36 UTC
It's the same for 
Version: 4.4.0.0.beta1+
Build ID: 91892803ebb5c99a972fd5ef37b77634a9138062
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-4, Time: 2014-12-02_02:06:28
Comment 11 Yousuf Philips (jay) (retired) 2014-12-02 23:30:59 UTC
Created attachment 110378 [details]
cell boder from 4.5 on dark theme

Before i closed this bug as resolved, i had verified that it was correct in the 11-28 build, but just to double check again, i tried it out with today's master.

Version: 4.5.0.0.alpha0+
Build ID: 5f7261651647e0d3de70c8cab99ef9b5a26de557
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-12-02_09:43:47
Comment 12 Heiko Tietze 2014-12-02 23:49:50 UTC
Reason was that I get Oxygen by default. And the patch affects only Tango and Galaxy. The result with Tango looks like the latest attachment.
Comment 13 Heiko Tietze 2014-12-02 23:50:35 UTC
Created attachment 110379 [details]
Cell border widget with Tango icon set
Comment 14 Yousuf Philips (jay) (retired) 2014-12-03 02:14:48 UTC
Patch is in to fix oxygen and sifr - https://gerrit.libreoffice.org/13285
Comment 15 Commit Notification 2014-12-03 16:33:40 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c52ac92afe4c529ce4fd78734cdf7ff5dafc4089

fdo#86472 fix icons on dark theme in oxygen and sifr

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2014-12-03 16:33:43 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b01e72a35e636f94e2631d64242da039c44ed19&h=libreoffice-4-4

fdo#86472 fix icons on dark theme in oxygen and sifr

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Robinson Tryon (qubit) 2015-03-05 15:31:26 UTC
Looks like there were patches pushed after the last time this bug was put into REOPENED status, sooooo.... all done here?

Status -> NEEDINFO
Comment 18 Heiko Tietze 2015-03-05 17:58:03 UTC
There are still a few icons that are hard to identify with dark themes, e.g. 'style from selection'. But the original issue was and is still fixed. The ticket can be closed from my side (/done).
Comment 19 Heiko Tietze 2016-09-24 07:15:24 UTC
The border widget is still not readable.
Comment 20 Heiko Tietze 2016-09-24 07:16:02 UTC
Created attachment 127599 [details]
Border in Writer, 5.3alpha
Comment 21 Heiko Tietze 2016-09-24 07:17:06 UTC
Created attachment 127600 [details]
Border in Calc, 5.3alpha
Comment 22 Heiko Tietze 2016-09-24 07:56:40 UTC
Created attachment 127601 [details]
Border settings at the image properties dialog, 5.3alpha
Comment 23 Yousuf Philips (jay) (retired) 2016-09-26 23:01:35 UTC
(In reply to Heiko Tietze from comment #19)
> The border widget is still not readable.

Yes not readable in breeze, as it wasnt in the repo when this bug was opened or closed. It would have been more ideal to open a new bug for this, but whatever.

@Andreas: There shouldnt be transparent pixels around these border icons and these icons shouldnt be changed for breeze_dark.
Comment 24 Jan-Marek Glogowski 2016-09-29 17:27:25 UTC
This is neither a KDE nor a "dark breeze" specific problem.

From my POV the icons are wrong. They should always resemble the Calc grid.
I found them hard to read in all my tested backends (gen, gtk2, gtk3, kde4).

It even gets worse, if you use the keyboard to move the selection, as the outer borders are undistinguishable from the selection in all backends.

The attached gimp file allows you to generate various versions of my grid icon by enabling the different layers.
I'm not sure, if the extension of the grid to the borders visually helps, that's why it an extra "grid" layer. Same for the selection. And there is definitly a better selection colour available for good contrast between, grid, border and selection.

It should be even possible to completely render them without an actual icon, as these icons directly resemble the borders on a selection.
Comment 25 Jan-Marek Glogowski 2016-09-29 17:29:32 UTC
Created attachment 127726 [details]
Calc grid border icon construction set
Comment 26 Yousuf Philips (jay) (retired) 2016-10-09 08:54:51 UTC
So i've set breeze_dark to fallback on breeze and added the white border in the following patch.

https://gerrit.libreoffice.org/29620

@Andreas: Please do the necessary to make the svgs look like these modified pngs. We still have a problem with the shadow icons (sh0*.png), as you are using #f2f2f2 for the shadow and it isnt noticeable on a white background.

(In reply to Jan-Marek Glogowski from comment #24)
> This is neither a KDE nor a "dark breeze" specific problem.

This particular issue is a dark breeze issue as it is recoloring those icons when they shouldnt be recolored.

> From my POV the icons are wrong. They should always resemble the Calc grid.
> I found them hard to read in all my tested backends (gen, gtk2, gtk3, kde4).

Well the readability of the icons is a different matter and should be discussed in a different bug report.
Comment 27 Commit Notification 2016-10-09 18:22:00 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d6dd17079f2584f3b7a54d67324d687e33ce141c

tdf#86472 Fix breeze borders and set breeze_dark fallback

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 andreas_k 2016-11-06 19:49:59 UTC
sorry but I didn't like the breeze icons and update them.

In general, there could be a discussion about this "preset" boarders, cause 
1. the icons are to smale
2. I don't understand why you REMOVE by default everything excluding e.g. top boarder, bottom boarder, frame boarder, ...
   why can't I have everything like I did and than add e.g. top boarder, ... 
   why should be first everything removed